package com.zehong.system.domain.train;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 手机端消息封装类
 */
public class TNews {

    private Integer newsId;

     /**
     * 所属模块 0培训课程   1试卷考试   2隐患台账
     */
    private Integer module;

    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 发布人id
     */
    private Long publisherId;

    /**
     * 接收人id
     */
    private Integer recipientId;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date releaseTime;

    /**
     * 读取状态 0未读取   1读取
     */
    private Integer readStatus;

    private Long moduleId;


    public Long getModuleId() {
        return moduleId;
    }

    public void setModuleId(Long moduleId) {
        this.moduleId = moduleId;
    }

    public Integer getNewsId() {
        return newsId;
    }

    public void setNewsId(Integer newsId) {
        this.newsId = newsId;
    }

    public Integer getModule() {
        return module;
    }

    public void setModule(Integer module) {
        this.module = module;
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    public Long getPublisherId() {
        return publisherId;
    }

    public void setPublisherId(Long publisherId) {
        this.publisherId = publisherId;
    }

    public Integer getRecipientId() {
        return recipientId;
    }

    public void setRecipientId(Integer recipientId) {
        this.recipientId = recipientId;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public Integer getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(Integer readStatus) {
        this.readStatus = readStatus;
    }

    @Override
    public String toString() {
        return "TNews{" +
                "newsId=" + newsId +
                ", module=" + module +
                ", messageContent='" + messageContent + '\'' +
                ", publisherId=" + publisherId +
                ", recipientId=" + recipientId +
                ", releaseTime=" + releaseTime +
                ", readStatus=" + readStatus +
                '}';
    }
}
